﻿// Copyright © 2012 Matthew David Elgert - mdelgert@yahoo.com
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//  
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
//   
// Project URL: https://kendoui.codeplex.com/
//    
// CodePlex Author: http://www.codeplex.com/site/users/view/mdelgert
// 
// Date: 11/6/2012
// 
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Base.Models;
using Base.DataAccessLayer;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;

namespace Base.BusinessLogicLayer.Controllers
{
    public class HomeController : Controller
    {

        BaseEntities dbContext = new BaseEntities();

        public ActionResult Index()
        {
            ViewBag.Message = "Home";

            //throw new Exception("Matthew test exception");

            return View();
        }

        public ActionResult Editor()
        {
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult PersonAccount()
        {
            //Set pager
            var R = new PagerViewModel();

            //R.Input = true;         //Have an input box for the page number (default off)
            //R.Numeric = true;       //Have numeric pager (default off)
            //R.Info = true;          //Display the current range of items (default off)
            //R.PreviousNext = true;  //Display the 'first', 'previous', 'next' and 'last' buttons (default off)
            //R.Refresh = true;       //Display the 'refresh' button (default off)
            //R.PageSizes = true;     //Allow the user to change the page size (default off)
            R.PageSizeSelections = new int[] { 10, 20, 30, 40, 50 };

            return View(R);
        }

        [HttpPost]
        public ActionResult PersonAccount(PagerViewModel pager)
        {
            return View(pager);
        }

        public ActionResult GetPersonAccounts([DataSourceRequest] DataSourceRequest request)
        {
            return Json(GetPersonAccountModels().ToDataSourceResult(request));
        }

        private IQueryable<PersonAccountModelGridView> GetPersonAccountModels()
        {
            return dbContext.PersonAccount
                            .Select(
                c => new PersonAccountModelGridView
                {
                    AccountID = c.AccountID,
                    //AddressID = c.AddressID,
                    Title = c.Title,
                    FirstName = c.FirstName,
                    MiddleName = c.MiddleName,
                    LastName = c.LastName,
                    EmailAddress = c.EmailAddress,
                    PhoneNumber = c.PhoneNumber,
                    IsActive = c.IsActive,
                    ModifiedDate = c.ModifiedDate
                });
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Create(PagerViewModel product)
        {
            return View();
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Update(PagerViewModel product)
        {
            return View();
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Destroy(int AccountID)
        {
            return View();
        }

    }

}
