﻿// Copyright © 2012 Matthew David Elgert - mdelgert@yahoo.com
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//  
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
//   
// Project URL: https://kendoui.codeplex.com/
//    
// CodePlex Author: http://www.codeplex.com/site/users/view/mdelgert
// 
// Date: 11/6/2012
// 
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Base.Models;
using Base.DataAccessLayer;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;

namespace Base.BusinessLogicLayer.Controllers
{
    public class MiniProfilerController : Controller
    {

        BaseEntities dbContext = new BaseEntities();

        public ActionResult Index()
        {
            var R = new PagerViewModel();
            R.PageSizeSelections = new int[] { 10, 20, 30, 40, 50 };
            return View(R);
        }

        [HttpPost]
        public ActionResult Index(PagerViewModel pager)
        {
            return View(pager);
        }

        public ActionResult GetProfilers([DataSourceRequest] DataSourceRequest request)
        {
            return Json(GetProfilersViewModels().ToDataSourceResult(request));
        }

        private IQueryable<MiniProfilersViewModel> GetProfilersViewModels()
        {
            return dbContext.MiniProfilers
                            .Select(
                            c => new MiniProfilersViewModel
                            {
                                Id = c.Id,
                                Name = c.Name,
                                Started = c.Started,
                                MachineName = c.MachineName,
                                Level = c.Level,
                                RootTimingId = c.RootTimingId,
                                DurationMillisecondsInSql = c.DurationMillisecondsInSql,
                                HasSqlTimings = c.HasSqlTimings,
                                HasDuplicateSqlTimings = c.HasDuplicateSqlTimings,
                                HasAllTrivialTimings = c.HasAllTrivialTimings,
                                TrivialDurationThresholdMilliseconds = c.TrivialDurationThresholdMilliseconds,
                                HasUserViewed = c.HasUserViewed
                            });
        }

        //public ActionResult UpdateTask([DataSourceRequest] DataSourceRequest request, Task task)
        //{
        //    var taskToUpdate = dbContext.Task.First(r => r.TaskID == task.TaskID);

        //    TryUpdateModel(taskToUpdate);

        //    dbContext.SaveChanges();

        //    return Json(GetTaskViewModels().ToDataSourceResult(request));
        //}

        //public ActionResult InsertTask([DataSourceRequest] DataSourceRequest request, Task taskToAdd)
        //{
        //    if (ModelState.IsValid)
        //    {
        //        dbContext.Task.Add(taskToAdd);
        //        dbContext.SaveChanges();
        //    }

        //    return Json(new[] { taskToAdd }.ToDataSourceResult(request));
        //}

        //public ActionResult DeleteTask([DataSourceRequest] DataSourceRequest request, Task task)
        //{
        //    var taskToDelete = dbContext.Task.First(r => r.TaskID == task.TaskID);

        //    if (taskToDelete != null)
        //    {
        //        dbContext.Task.Remove(taskToDelete);
        //        dbContext.SaveChanges();
        //    }

        //    return Json(new[] { taskToDelete }.ToDataSourceResult(request));
        //}


    }

}
