﻿// Copyright © 2012 Matthew David Elgert - mdelgert@yahoo.com
// 
// This program is free software{ get; set; } you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation{ get; set; } either version 2.1 of the License, or
// (at your option) any later version.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY{ get; set; } without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//  
// You should have received a copy of the GNU Lesser General Public License
// along with this program{ get; set; } if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
//   
// Project URL: https://kendoui.codeplex.com/
//    
// CodePlex Author: http://www.codeplex.com/site/users/view/mdelgert
// 
// Date: 11/6/2012
// 

using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Data;
using System;

namespace Base.Models
{
    public class MiniProfilers
    {
        [Key]
        public System.Guid Id { get; set; }

        [Required]
        [StringLength(200, ErrorMessage = "Must be at least {0} characters long.", MinimumLength = 1)]
        public string Name { get; set; }

        [Required]
        public System.DateTime Started { get; set; }

        [StringLength(100)]
        public string MachineName { get; set; }

        [StringLength(100)]
        public string User { get; set; }

        public System.Nullable<byte> Level { get; set; }

        public System.Nullable<System.Guid> RootTimingId { get; set; }

        [Required]
        public decimal DurationMilliseconds { get; set; }

        public System.Nullable<decimal> DurationMillisecondsInSql { get; set; }

        [Required]
        public bool HasSqlTimings { get; set; }

        [Required]
        public bool HasDuplicateSqlTimings { get; set; }

        [Required]
        public bool HasTrivialTimings { get; set; }

        public bool HasAllTrivialTimings { get; set; }

        public System.Nullable<decimal> TrivialDurationThresholdMilliseconds { get; set; }

        public bool HasUserViewed { get; set; }

    }

}
